[FZH] vlc / mplayer安装问题

Robin Lee robinlee.sysu at gmail.com
Thu Aug 15 08:54:48 UTC 2013


yum --enablerepo=rpmfusion-free ....

yum 添加这个选项再试试。好像你只加了 rpmfusion 的 updates 源,没有 base 源


On Thu, Aug 15, 2013 at 3:03 PM, Johnny Tao <johnnybeijing在gmail.com> wrote:

>  不好意思前面忘记列出本地的repo了
>
> *本地源*
> *
> *
> *sudo yum repolist*
> 已加载插件:langpacks, refresh-packagekit, versionlock
> 源标识                                                 源名称
>                                       状态
> fedora/19/x86_64                                       Fedora 19 - x86_64
>                                             36,253
> rpmfusion-free-updates/19/x86_64                       RPM Fusion for
> Fedora 19 - Free - Updates                           117
> rpmfusion-nonfree-updates/19/x86_64                    RPM Fusion for
> Fedora 19 - Nonfree - Updates                        111
> updates/19/x86_64                                      Fedora 19 - x86_64 -
> Updates                                     11,244
> repolist: 47,725
>
> *ll /etc/yum.repos.d/*
> 总用量 60
> -rw-r--r-- 1 root root 1144 6月  22 07:24 fedora.repo
> -rw-r--r-- 1 root root 1105 6月  22 07:24 fedora-updates.repo
> -rw-r--r-- 1 root root 1163 6月  22 07:24 fedora-updates-testing.repo
> -rw-r--r-- 1 root root   60 8月  15 10:04 media.repo
> -rw-r--r-- 1 root root 1241 3月  14 04:10 rpmfusion-free-rawhide.repo
> -rw-r--r-- 1 root root 1213 7月  24 10:48 rpmfusion-free.repo
> -rw-r--r-- 1 root root 1172 6月  29 05:44 rpmfusion-free.repo.rpmnew
> -rw-r--r-- 1 root root 1210 7月  24 10:49 rpmfusion-free-updates.repo
> -rw-r--r-- 1 root root 1170 3月  14 04:10 rpmfusion-free-updates.repo.rpmnew
> -rw-r--r-- 1 root root 1230 6月  29 05:44
> rpmfusion-free-updates-testing.repo
> -rw-r--r-- 1 root root 1295 3月  14 04:11 rpmfusion-nonfree-rawhide.repo
> -rw-r--r-- 1 root root 1258 7月  24 10:49 rpmfusion-nonfree.repo
> -rw-r--r-- 1 root root 1217 6月  29 05:49 rpmfusion-nonfree.repo.rpmnew
> -rw-r--r-- 1 root root 1215 3月  14 04:11 rpmfusion-nonfree-updates.repo
> -rw-r--r-- 1 root root 1275 6月  29 05:49
> rpmfusion-nonfree-updates-testing.repo
>
> * grep enable *testing*.repo*
> fedora-updates-testing.repo:enabled=0
> fedora-updates-testing.repo:enabled=0
> fedora-updates-testing.repo:enabled=0
> rpmfusion-free-updates-testing.repo:enabled=0
> rpmfusion-free-updates-testing.repo:enabled=0
> rpmfusion-free-updates-testing.repo:enabled=0
> rpmfusion-nonfree-updates-testing.repo:enabled=0
> rpmfusion-nonfree-updates-testing.repo:enabled=0
> rpmfusion-nonfree-updates-testing.repo:enabled=0
>
>
>
> *开启了testing的源,再安装 依然无效*
> *
> *
> [root在localhost yum.repos.d]# yum install vlc
> --enablerepo=rpmfusion-free-updates-testing
> --enablerepo=rpmfusion-nonfree-updates-testing
> 已加载插件:langpacks, refresh-packagekit, versionlock
> rpmfusion-nonfree-updates-testing
>                            | 3.3 kB  00:00:00
> rpmfusion-nonfree-updates-testing/19/x86_64/primary_db
>                             |  12 kB  00:00:00
> rpmfusion-nonfree-updates-testing/19/x86_64/group_gz
>                             |  998 B  00:00:00
> 正在解决依赖关系
> --> 正在检查事务
> ---> 软件包 vlc.x86_64.0.2.0.8-2.fc19 将被 安装
> --> 正在处理依赖关系 vlc-core(x86-64) = 2.0.8-2.fc19,它被软件包 vlc-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libvlccore.so.5()(64bit),它被软件包 vlc-2.0.8-2.fc19.x86_64 需要
> --> 正在检查事务
> ---> 软件包 vlc-core.x86_64.0.2.0.8-2.fc19 将被 安装
> --> 正在处理依赖关系 live555(x86-64) = 2013.04.30,它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libavformat.so.54(LIBAVFORMAT_54)(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libavcodec.so.54(LIBAVCODEC_54)(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libpostproc.so.52(LIBPOSTPROC_52)(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libavutil.so.52(LIBAVUTIL_52)(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libswscale.so.2(LIBSWSCALE_2)(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libavcodec.so.54()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libliveMedia.so.7()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libavformat.so.54()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libgroupsock.so.0()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libpostproc.so.52()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libBasicUsageEnvironment.so.0()(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libx264.so.130()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libUsageEnvironment.so.0()(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libavutil.so.52()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libswscale.so.2()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在检查事务
> ---> 软件包 ffmpeg-libs.x86_64.0.1.2.2-1.fc19 将被 安装
> --> 正在处理依赖关系 libx264.so.130()(64bit),它被软件包 ffmpeg-libs-1.2.2-1.fc19.x86_64
> 需要
> ---> 软件包 vlc-core.x86_64.0.2.0.8-2.fc19 将被 安装
> --> 正在处理依赖关系 live555(x86-64) = 2013.04.30,它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libliveMedia.so.7()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libgroupsock.so.0()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64
> 需要
> --> 正在处理依赖关系 libBasicUsageEnvironment.so.0()(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libx264.so.130()(64bit),它被软件包 vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 正在处理依赖关系 libUsageEnvironment.so.0()(64bit),它被软件包
> vlc-core-2.0.8-2.fc19.x86_64 需要
> --> 解决依赖关系完成
> 错误:软件包:vlc-core-2.0.8-2.fc19.x86_64 (rpmfusion-free-updates)
>           需要:live555(x86-64) = 2013.04.30
> 错误:软件包:vlc-core-2.0.8-2.fc19.x86_64 (rpmfusion-free-updates)
>           需要:libgroupsock.so.0()(64bit)
> 错误:软件包:vlc-core-2.0.8-2.fc19.x86_64 (rpmfusion-free-updates)
>           需要:libUsageEnvironment.so.0()(64bit)
> 错误:软件包:vlc-core-2.0.8-2.fc19.x86_64 (rpmfusion-free-updates)
>           需要:libx264.so.130()(64bit)
> 错误:软件包:vlc-core-2.0.8-2.fc19.x86_64 (rpmfusion-free-updates)
>           需要:libBasicUsageEnvironment.so.0()(64bit)
> 错误:软件包:vlc-core-2.0.8-2.fc19.x86_64 (rpmfusion-free-updates)
>           需要:libliveMedia.so.7()(64bit)
> 错误:软件包:ffmpeg-libs-1.2.2-1.fc19.x86_64 (rpmfusion-free-updates-testing)
>           需要:libx264.so.130()(64bit)
>  您可以尝试添加 --skip-broken 选项来解决该问题
>  您可以尝试执行:rpm -Va --nofiles --nodigest
>
>
>
>
>
>
> On Thu, Aug 15, 2013 at 2:30 PM, Hu Fu <askfuhu在gmail.com> wrote:
>
> > Maybe you have other packages already installed on your system that have
> > dependencies on other packages at a different version level than VLC
> > requires, hence the errors. I assume you have both atrpms and rpmforge
> > repositories installed? If so, disable rpmforge and try reinstalling vlc,
> > or try with an older version of vlc...
> >
> >
> > 2013/8/15 Zhenbo Li <litimetal在gmail.com>
> >
> > > 在 2013年8月15日下午2:17,Johnny Tao <johnnybeijing在gmail.com> 写道:
> > > >
> > > >
> > > > 除了前面提到的kde-setting-kdm的问题外,安装以下的软件问题多多
> > > > 大家帮忙看下,谢谢~
> > >
> > >
> > > 请问你电脑上都有哪些源?testing 之类的开没开?
> > >
> > > --
> > > Have a nice day!
> > > Zhenbo Li
> > > --
> > > Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
> > >
> > --
> > Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
> >
>
> --
> Fedora中文郵件列表:https://admin.fedoraproject.org/mailman/listinfo/chinese
>
>


More information about the Chinese mailing list